Disable build isolation to bypass CUDA related deps for vllm-tpu (#43038)

Signed-off-by: Ylang Tsou <ylangt@google.com>
Co-authored-by: Ylang Tsou <ylangt@google.com>
Co-authored-by: Michael Goin <mgoin64@gmail.com>
This commit is contained in:
ylangtsou
2026-05-22 06:00:52 +08:00
committed by GitHub
parent 17b69828a0
commit 0b59fc45dd
2 changed files with 11 additions and 1 deletions
+7
View File
@@ -0,0 +1,7 @@
--extra-index-url https://download.pytorch.org/whl/cpu
cmake>=3.26.1
ninja
setuptools>=77.0.3,<81.0.0
setuptools-scm>=8
torch==2.11.0+cpu
wheel
+4 -1
View File
@@ -79,12 +79,15 @@ trap cleanup EXIT HUP INT QUIT PIPE TERM # Register cleanup function to run on s
echo "Updating pyproject.toml completed. Proceeding with build..."
echo "Install dependencies for no-isolation build"
pip install -r "$VLLM_DIR/requirements/build/tpu.txt"
echo "Building wheel for TPU..."
rm -rf dist/
mkdir -p dist/
# User confirmed to use 'python -m build' directly
if ! VLLM_TARGET_DEVICE=tpu python -m build; then
if ! VLLM_TARGET_DEVICE=tpu python -m build --no-isolation; then
echo "Error: Python build command failed. Check if 'python -m build' works and the 'build' module is installed."
exit 1
fi